package labes.icmc.SeleniumHelloWorld;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

import java.util.concurrent.TimeUnit;

import org.junit.After;
import org.junit.Before;
import org.junit.Ignore;
import org.junit.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;

public class TesteSeleniumJunit {
	
	private String baseUrl;
	private WebDriver driver;


	@Before
	public void setUp() throws Exception {
		
		//configurações do selenium
		driver = new FirefoxDriver();
		driver.manage().timeouts().implicitlyWait(30, TimeUnit.SECONDS);
		System.setProperty("webdriver.gecko.driver", "geckodriver.exe");
		
		//site que vai ser acessado
		baseUrl = "http://icmc.usp.br/";
	}

	@Test
	public void HelloWorldSelenium() throws Exception {
		
		//navega até a pagina de informações do professor
		driver.get(baseUrl + "/");
		driver.findElement(By.linkText("Pessoas")).click();
		driver.findElement(By.linkText("Docentes")).click();
		driver.findElement(By.name("nome_busca")).clear();
		driver.findElement(By.name("nome_busca")).sendKeys("delamaro");
		Thread.sleep(100);
		driver.findElement(By.cssSelector("button.btn.btn-primary")).click();
		driver.findElement(By.cssSelector(".img-responsive")).click();
		
		//pega as informações do professor
		String content = driver.findElement(By.xpath("/html/body/div[3]/div[1]/div[2]/div[3]/div/div/div[2]")).getText();

		//verifica se a informação está correta
		boolean result = content.contains("Titular");
		
		//testa
		assertTrue(result);
				
	}
	
	@Ignore
	@Test
	public void VerificaTituloDaPagina() {
		
		/**
		 * Deve navegar até a pagina do ICMC, identificar o elemento HTML 
		 * que contém o titulo da pagina (verifique o codigo fonte) pegar o conteudo desse elemento
		 * e por fim realizar o teste com o valor esperado
		 * 
		 * valor esperado: “ICMC - Instituto de Ciências Matemáticas e de Computação”
		 */
		fail();
		
	}

	@Ignore	
	@Test
	public void contaProfessoresPrimeiraPagina() {
		
		/**
		 * Deve navegar até a pagina do ICMC, entrar na seção de docentes
		 * e identificar por meio do selenium quantos professores são exibidos na pagina.
		 * O resultado esperado é 26
		 */
		
		fail();
	}
	

	@After
	public void tearDown() throws Exception {
		driver.quit();
	}

}